This is unreleased documentation for Parallel Developer Documentation **Next 🚧** version.

For up-to-date documentation, see the **[latest version](https://developer.parallelmarkets.com/docs/server/case-management-api/comments/create)** (Current – v2.x).

Version: Next 🚧

### This endpoint creates a new record comment for a given record.

### HTTP Request

`POST https://api.parallelmarkets.com/v2/partner-records/{id}/comments`

- `{id}` \- The individual or business ID in your case management account. If an [external_id](https://developer.parallelmarkets.com/docs/next/server/case-management-api/records/create#using-an-external-identifier) has been set, the `external_id` value can be used instead.

### Request Parameters

| Parameter | Description |
| --- | --- |
| `text` _(string)_ | **Required** The text of the comment. |

#### Sample payload

```json
{
  "text": "This is a comment added via the API."
}
```

### Response Parameters

Returns a [Record Comment](https://developer.parallelmarkets.com/docs/next/server/data-structures#record-comment) after successful status creation.

### Example Response

```json
{
  "data": {
    "text": "This is a comment added via the API.",
    "source": "api",
    "created_at": "2025-01-27T18:13:13Z",
    "created_by": null
  }
}
```
